<?php
class LanguageLoader
 
{
 
   function initialize() {
 
       $ci =& get_instance();
 
       $ci->load->helper('language');
 
$ci->session->set_userdata('site_lang', $ci->input->cookie('site_lang',true));

       $siteLang = $ci->session->userdata('site_lang');
 
       if ($siteLang) {
 
           $ci->lang->load('information',$siteLang);
 
       } else {
 
           $ci->lang->load('information',config_item("acilis_dili"));
 
       }
 
   }
 
}